Votre question

[RESOLU] mise à jour OpenOffice sous Ubuntu 6.10

Tags :
  • Ubuntu
  • Logiciels
Dernière réponse : dans Logiciels
24 Mars 2007 22:36:56

Avec ma distribution linux (Ubuntu 6.10) j'ai OOo 2.0.4.

J'ai récupéré OOo 2.1 dans un Hors-Série Linux+

Je ne sais pas comment supprimer la version précédente.

Je serais vraiment content d'utiliser OOo 2.1.

Merci du dépannage.

Autres pages sur : resolu mise jour openoffice ubuntu

24 Mars 2007 22:50:31

Cher utilisateur d'Ubuntu :p 

Sache que le meilleur site français pour tout ce qui concerne cette distribution est Ubuntu-Fr

En effectuant quelques recherches dessus, tu obtiens ce sujet dans le forum. Celui-ci te permettra d'installer OpenOffice 2.1 sur la 6.10 d'Ubuntu :) 

Voila, bonne soirée :p 
24 Mars 2007 23:39:46

merci Redtux mais si j'interviens sur infos du net c'est que je n'ai pas eu satisfaction sur le site d'Ubuntu (et que je préfére infos du net!).
Contenus similaires
25 Mars 2007 00:46:43

Normalement, le sujet sur le forum (que j'ai mis en lien dans mon précédent post) te permettra d'installer OOo 2.1 ...

En tout cas, je n'ai pas eu besoin de plus pour le mettre chez moi :) 
25 Mars 2007 00:57:11

Je te suis reconnaissant pour ce lien RedTux mais en aucun cas il explique comment se débarasser de l'ancienne version d'OOo et c'est cela qui m'intéresse. Alors, je relance le sujet.
25 Mars 2007 01:06:21

Normalement il devrait pas poser problème ... Mais bon !

Pour la supprimer ... Ouvre une console !

Tape :
  1. sudo apt-get remove openoffice.org


Il va te demander si tu veux vraiment ! À cause d'une dépendance ( ubuntu-desktop)
Dis oui ( tape sur la touche o quoi :)  )

Ensuite fait :
  1. sudo apt-get install ubuntu-desktop


Et ton openoffice sera désinstallé !

Tu peux le faire aussi par l'outil Synaptic.
Fait une recherche sur le nom avec "openoffice"
Clic droit fait "suppression" et il va te demander de confirmer pour ubuntu-desktop.
Confirme, applique.
Fait une recherche avec "ubuntu-desktop"
Clic, installe et applique !

Voila :) 
25 Mars 2007 01:34:06

Merci pour ta pédagogie RedTux.

La première ligne de commande (sudo apt-get remove openoffice.org) fonctionne.

La seconde (sudo apt-get install ubuntu-desktop), je ne la comprend pas vraiment.

Au bout du compte, quand je fais sudo apt-get install openoffice.org (pour

l'archive de Linux+), j'ai toujours cette maudite version OOo 2.0.4 qui s'installe

en priorité à la version 2.1.
25 Mars 2007 01:50:40

Je ne t'ai pas dis de faire

sudo apt-get install openoffice.orp

Parce que apt-get installe grâce aux dépots du site d'ubuntu ! Donc normal que tu remettes l'ancienne version !

Déjà prend le "deb" de OOo2.1 :
  • Rends toi ici !
  • Choisi GNU/Linux (DEB)

    Pour le serveur, choisi France ou aux alentour :) 

    Maintenant, dans le sujet il mettait cette commande :
    1. sudo dpkg -i -–force-overwrite "ce que tu as téléchargé".deb


    le --force-overwrite permettait de changer d'openoffice sans désinstaller la précédente version !

    Si tu préfère désinstaller la version 2.0.4, suis mon précédent post, et fais :
    1. sudo dpkg -i "ce que tu as téléchargé".deb



    Maintenant, un peu d'aide pour la console :
    au départ, tu sera dans ton HOME : /home/"login"/
    Change de dossier avec la commande : cd "nom repertoire"
    Liste le contenu d'un dossier avec : ls

    Voila, donc dans la console, va là ou tu as téléchargé le .DEB !
    (Pour revenir au dossier précédent : "cd .." ).


    En ce qui concerne le :
    1. sudo apt-get install ubuntu-desktop

    Celle-ci sert à remettre ce que tu as désinstaller précédemment en acceptant de désinstaller OpenOffice !
    Si tu veux que tout fonctionne correctement, surtout, n'oublie pas de le faire !

    Voila ... J'ai mis de l'aide bas niveau car j'ai cru comprendre que t'étais débutant ... Je ne prends pas pour un idiot, t'inquiète pas :) 

    Aller, j'espère que ça va marcher
    25 Mars 2007 19:38:22

    la désinstallation d'OOo 2.0.4 c'est OK par contre l'installation d'OOo 2.1.0 donne ça:

    jcb@jcb-desktop:~$ cd /home/jcb/Desktop
    jcb@jcb-desktop:~/Desktop$ sudo dpkg -i -–force-overwrite OOo_2.1.0_LinuxIntel_install_fr_deb.tar.gz
    dpkg: option -� inconnue

    Taper dpkg --help pour une obtenir une aide sur l'installation et la désinstallation des paquets
  • ;
    Utiliser « dselect » ou « aptitude » pour gérer le paquets de manière
    plus conviviale ;
    Taper dpkg -Dhelp pour une obtenir une liste des valeurs drapeaux de débogage ;
    Taper dpkg --force-help pour consulter la liste des options de forçage ;
    Taper dpkg-deb --help pour une obtenir une aide sur la manipulation des fichiers *.deb ;
    Taper dpkg --licence pour voir la licence copyright et l'absence de garantie (GNU GPL)
  • .

    Les options marquées d'un
  • affichent beaucoup d'informations - tubez-les à travers « less » ou « more ».
    jcb@jcb-desktop:~/Desktop$

    Quelle est mon erreur ?
    25 Mars 2007 20:08:09

    Ben le --force-overwrite n'est pas nécessaire dans le cas d'une désinstallation préalable !

    Donc fait simplement :
    1. sudo dpkg -i "ce que tu as téléchargé".deb
    25 Mars 2007 21:30:22

    jcb@jcb-desktop:~$ cd /home/jcb/Desktop
    jcb@jcb-desktop:~/Desktop$ sudo dpkg -i OOo_2.1.0_LinuxIntel_install_fr_deb.tar.gz
    Password:
    dpkg-deb: `OOo_2.1.0_LinuxIntel_install_fr_deb.tar.gz » n'est pas une archive de format Debian
    dpkg : erreur de traitement de OOo_2.1.0_LinuxIntel_install_fr_deb.tar.gz (--install) :
    le sous-processus dpkg-deb --control a retourné une erreur de sortie d'état 2
    Des erreurs ont été rencontrées pendant l'exécution :
    OOo_2.1.0_LinuxIntel_install_fr_deb.tar.gz
    jcb@jcb-desktop:~/Desktop$

    Il doit y avoir quelquechose qui m'échappe.
    25 Mars 2007 23:04:28

    c'est un .tar.gz que tu as récupéré, il faut d'abord le décompresser:
    en ligne de commande:
    1. tar zxvf OOo_2.1.0_LinuxIntel_install_fr_deb.tar.gz

    ou sous nautilus, tu cliques dessus et tu choisis où décompresser

    ensuite tu lances la commande:
    1. sudo dpkg -i *.deb

    dans le répertoire qui contient les deb (DEBS si je me rappelle bien)
    25 Mars 2007 23:32:46

    Merci coca25 !

    Oui ... ce que tu as télécharger est une archive compressé :
    tar = archive
    gz = compression zip

    Normalement, ça devrait allé maintenant !
    26 Mars 2007 14:20:17

    Tout d'abord merci coca25.
    La décompression ok mais la commande sudo dpkg -i *.deb dans le répertoire DEBS donne un drôle de résultat:

    jcb@jcb-desktop:~$ cd /home/jcb/Desktop/DEBS
    jcb@jcb-desktop:~/Desktop/DEBS$ sudo dpkg -i *.deb
    dpkg : concernant openoffice.org-base_2.1.0-6_i386.deb contenant openoffice.org-base :
    openoffice.org-base conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-base_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-base non installé
    dpkg : concernant openoffice.org-calc_2.1.0-6_i386.deb contenant openoffice.org-calc :
    openoffice.org-calc conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-calc_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-calc non installé
    dpkg : concernant openoffice.org-core01_2.1.0-6_i386.deb contenant openoffice.org-core01 :
    openoffice.org-core01 conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core01_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core01 non installé
    dpkg : concernant openoffice.org-core02_2.1.0-6_i386.deb contenant openoffice.org-core02 :
    openoffice.org-core02 conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core02_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core02 non installé
    dpkg : concernant openoffice.org-core03_2.1.0-6_i386.deb contenant openoffice.org-core03 :
    openoffice.org-core03 conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core03_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core03 non installé
    dpkg : concernant openoffice.org-core03u_2.1.0-6_i386.deb contenant openoffice.org-core03u :
    openoffice.org-core03u conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core03u_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core03u non installé
    dpkg : concernant openoffice.org-core04_2.1.0-6_i386.deb contenant openoffice.org-core04 :
    openoffice.org-core04 conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core04_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core04 non installé
    dpkg : concernant openoffice.org-core04u_2.1.0-6_i386.deb contenant openoffice.org-core04u :
    openoffice.org-core04u conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core04u_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core04u non installé
    dpkg : concernant openoffice.org-core05_2.1.0-6_i386.deb contenant openoffice.org-core05 :
    openoffice.org-core05 conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core05_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core05 non installé
    dpkg : concernant openoffice.org-core05u_2.1.0-6_i386.deb contenant openoffice.org-core05u :
    openoffice.org-core05u conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core05u_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core05u non installé
    dpkg : concernant openoffice.org-core06_2.1.0-6_i386.deb contenant openoffice.org-core06 :
    openoffice.org-core06 conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core06_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core06 non installé
    dpkg : concernant openoffice.org-core07_2.1.0-6_i386.deb contenant openoffice.org-core07 :
    openoffice.org-core07 conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core07_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core07 non installé
    dpkg : concernant openoffice.org-core08_2.1.0-6_i386.deb contenant openoffice.org-core08 :
    openoffice.org-core08 conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core08_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core08 non installé
    dpkg : concernant openoffice.org-core09_2.1.0-6_i386.deb contenant openoffice.org-core09 :
    openoffice.org-core09 conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core09_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core09 non installé
    dpkg : concernant openoffice.org-core10_2.1.0-6_i386.deb contenant openoffice.org-core10 :
    openoffice.org-core10 conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-core10_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-core10 non installé
    dpkg : concernant openoffice.org-debian-menus_2.1-6_all.deb contenant openoffice.org-debian-menus :
    openoffice.org-core conflicts with openoffice.org-unbundled
    openoffice.org-debian-menus fournit openoffice.org-unbundled et doit être installé.
    dpkg : erreur de traitement de openoffice.org-debian-menus_2.1-6_all.deb (--install) :
    paquets en conflit - openoffice.org-debian-menus non installé
    dpkg : concernant openoffice.org-draw_2.1.0-6_i386.deb contenant openoffice.org-draw :
    openoffice.org-draw conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-draw_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-draw non installé
    dpkg : concernant openoffice.org-emailmerge_2.1.0-6_i386.deb contenant openoffice.org-emailmerge :
    openoffice.org-emailmerge conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-emailmerge_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-emailmerge non installé
    dpkg : concernant openoffice.org-gnome-integration_2.1.0-6_i386.deb contenant openoffice.org-gnome-integration :
    openoffice.org-gnome-integration conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-gnome-integration_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-gnome-integration non installé
    dpkg : concernant openoffice.org-graphicfilter_2.1.0-6_i386.deb contenant openoffice.org-graphicfilter :
    openoffice.org-graphicfilter conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-graphicfilter_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-graphicfilter non installé
    dpkg : concernant openoffice.org-impress_2.1.0-6_i386.deb contenant openoffice.org-impress :
    openoffice.org-impress conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-impress_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-impress non installé
    dpkg : concernant openoffice.org-javafilter_2.1.0-6_i386.deb contenant openoffice.org-javafilter :
    openoffice.org-javafilter conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-javafilter_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-javafilter non installé
    dpkg : concernant openoffice.org-kde-integration_2.1.0-6_i386.deb contenant openoffice.org-kde-integration :
    openoffice.org-kde-integration conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-kde-integration_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-kde-integration non installé
    dpkg : concernant openoffice.org-math_2.1.0-6_i386.deb contenant openoffice.org-math :
    openoffice.org-math conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-math_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-math non installé
    dpkg : concernant openoffice.org-pyuno_2.1.0-6_i386.deb contenant openoffice.org-pyuno :
    openoffice.org-pyuno conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-pyuno_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-pyuno non installé
    dpkg : concernant openoffice.org-testtool_2.1.0-6_i386.deb contenant openoffice.org-testtool :
    openoffice.org-testtool conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-testtool_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-testtool non installé
    dpkg : concernant openoffice.org-writer_2.1.0-6_i386.deb contenant openoffice.org-writer :
    openoffice.org-writer conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-writer_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-writer non installé
    dpkg : concernant openoffice.org-xsltfilter_2.1.0-6_i386.deb contenant openoffice.org-xsltfilter :
    openoffice.org-xsltfilter conflicts with openoffice.org-bundled
    openoffice.org-core fournit openoffice.org-bundled et est installé.
    dpkg : erreur de traitement de openoffice.org-xsltfilter_2.1.0-6_i386.deb (--install) :
    paquets en conflit - openoffice.org-xsltfilter non installé
    Des erreurs ont été rencontrées pendant l'exécution :
    openoffice.org-base_2.1.0-6_i386.deb
    openoffice.org-calc_2.1.0-6_i386.deb
    openoffice.org-core01_2.1.0-6_i386.deb
    openoffice.org-core02_2.1.0-6_i386.deb
    openoffice.org-core03_2.1.0-6_i386.deb
    openoffice.org-core03u_2.1.0-6_i386.deb
    openoffice.org-core04_2.1.0-6_i386.deb
    openoffice.org-core04u_2.1.0-6_i386.deb
    openoffice.org-core05_2.1.0-6_i386.deb
    openoffice.org-core05u_2.1.0-6_i386.deb
    openoffice.org-core06_2.1.0-6_i386.deb
    openoffice.org-core07_2.1.0-6_i386.deb
    openoffice.org-core08_2.1.0-6_i386.deb
    openoffice.org-core09_2.1.0-6_i386.deb
    openoffice.org-core10_2.1.0-6_i386.deb
    openoffice.org-debian-menus_2.1-6_all.deb
    openoffice.org-draw_2.1.0-6_i386.deb
    openoffice.org-emailmerge_2.1.0-6_i386.deb
    openoffice.org-gnome-integration_2.1.0-6_i386.deb
    openoffice.org-graphicfilter_2.1.0-6_i386.deb
    openoffice.org-impress_2.1.0-6_i386.deb
    openoffice.org-javafilter_2.1.0-6_i386.deb
    openoffice.org-kde-integration_2.1.0-6_i386.deb
    openoffice.org-math_2.1.0-6_i386.deb
    openoffice.org-pyuno_2.1.0-6_i386.deb
    openoffice.org-testtool_2.1.0-6_i386.deb
    openoffice.org-writer_2.1.0-6_i386.deb
    openoffice.org-xsltfilter_2.1.0-6_i386.deb
    jcb@jcb-desktop:~/Desktop/DEBS$

    26 Mars 2007 14:26:01

    Fait :
    1. sudo apt-get remove openoffice.org-bundled


    En fait, le plus simple, ouvre l'outil Synaptic (que tu trouveras dans le menu administration du système). Fait une recherche de "openoffice" (choisi de chercher par le nom, dans la liste déroulante).

    Et désinstalle tout ce qui touche commence par openoffice !

    ps: si il te fait désinstaller ubuntu-desktop, pense à faire :
    1. sudo apt-get install ubuntu-desktop


    Bon ... ça va finir par marché oui !

    edit : tu peux tester avec l'option "--force-overwrite" aussi !
    soit
    1. sudo dpkg -i --force-overwrite *.deb
    26 Mars 2007 14:31:49

    il faut d'abord désinstaller l'ancienne version.
    ouvre synaptic, selectionnes tout ce qui est openoffice.org et désinstalle
    puis installes la nouvelle version

    EDIT: trop lent à répondre :) 
    juste une remarque, --force-overwrite peut provoquer une instabilité du système car il peut écraser un paquet sans que celui ci ne soit désinstallé, et à la prochaine m.a.j il peut y avoir un souci
    26 Mars 2007 14:51:02

    coca25 a dit :
    juste une remarque, --force-overwrite peut provoquer une instabilité du système car il peut écraser un paquet sans que celui ci ne soit désinstallé, et à la prochaine m.a.j il peut y avoir un souci


    Ah ... J'ai du avoir de la chance alors :lol:  Jamais eu de soucis :) 
    26 Mars 2007 15:30:47

    LA VIE EST BELLE coca25 et RedTux !

    Il suffisait juste de faire recherche openoffice.org dans Synaptic et d'effectuer une suppression complète des paquets installés et puis naturellement sudo dpkg -i *.deb dans le répertoire DEBS. C'était pas si difficile que çà.
    26 Mars 2007 15:33:31

    Cool !

    Je t'invite maintenant à éditer ton premier post grâce à l'icône pour ainsi ajouter [résolu] dans le titre :) 

    Merci d'avance :p 
    Tom's guide dans le monde
    • Allemagne
    • Italie
    • Irlande
    • Royaume Uni
    • Etats Unis
    Suivre Tom's Guide
    Inscrivez-vous à la Newsletter
    • ajouter à twitter
    • ajouter à facebook
    • ajouter un flux RSS